Cancel a contract
curl --request POST \
--url https://api.chargecloud.dev/api/v1/crm/contracts/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filing_cancel_date": "2026-03-15",
"cancel_type": "deadlineDate",
"cancellation_tech_key": "<string>",
"extra_ordinary_date": "2023-12-25",
"cancel_date": "2023-12-25",
"move_at_date": "2023-12-25"
}
'import requests
url = "https://api.chargecloud.dev/api/v1/crm/contracts/{id}/cancel"
payload = {
"filing_cancel_date": "2026-03-15",
"cancel_type": "deadlineDate",
"cancellation_tech_key": "<string>",
"extra_ordinary_date": "2023-12-25",
"cancel_date": "2023-12-25",
"move_at_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filing_cancel_date: '2026-03-15',
cancel_type: 'deadlineDate',
cancellation_tech_key: '<string>',
extra_ordinary_date: '2023-12-25',
cancel_date: '2023-12-25',
move_at_date: '2023-12-25'
})
};
fetch('https://api.chargecloud.dev/api/v1/crm/contracts/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"cancelled_at_date": "2023-12-25"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
{
"errorKey": "<string>",
"message": "<string>",
"parameter": "<string>"
}
]
}{
"error": "<string>"
}V1
Cancel a contract
Cancel a contract. Required permission: crm:contract:cancel
POST
/
api
/
v1
/
crm
/
contracts
/
{id}
/
cancel
Cancel a contract
Authorizations
OAuth2 Bearer Authorization
Path Parameters
Contract ID
Body
application/json
Cancel a contract. Required permission: crm:contract:cancel
Filing date of the cancellation (YYYY-MM-DD)
Pattern:
^\d{4}-\d{2}-\d{2}$Example:
"2026-03-15"
Cancellation type
Available options:
deadlineDate, extraOrdinaryDate, cancelDate, moveAtDate Example:
"deadlineDate"
Technical key for cancellation reason
Extraordinary cancellation date (YYYY-MM-DD). Required when cancel_type = extraOrdinaryDate
Pattern:
^\d{4}-\d{2}-\d{2}$Cancellation date (YYYY-MM-DD). Required when cancel_type = cancelDate
Pattern:
^\d{4}-\d{2}-\d{2}$Move-out date (YYYY-MM-DD). Required when cancel_type = moveAtDate
Pattern:
^\d{4}-\d{2}-\d{2}$Was this page helpful?
⌘I